Subject: bug#60473: closed (Re: bug#60473: Glimpse build fails on Guix System)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 03 Jan 2023 17:09:03 +0000

Your bug report

#60473: Glimpse build fails on Guix System

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60473: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60473
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60473: Glimpse build fails on Guix System
From: Leo Famulari <[email-masked]>
To: Liliana Marie Prikler <[email-masked]>
Cc: [email-masked], Elias Kueny <[email-masked]>
Date: Tue, 3 Jan 2023 12:08:39 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Jan 02, 2023 at 05:17:37PM -0500, Leo Famulari wrote:
> On Sun, Jan 01, 2023 at 09:34:15PM +0100, Liliana Marie Prikler wrote:
> > Am Sonntag, dem 01.01.2023 um 17:50 +0000 schrieb Elias Kueny:
> > > Hello,
> > > 
> > > I'm using Guix System and on Guix commit
> > > 8f93a1e01a879ae026678dd92c18e2a2a49be540.
> > > Building Glimpse fails during the configuration phase. Attached is
> > > the relevant part of the build log. It seems it is missing the
> > > python2 dependencies.
> > Given that Python 2 is way past EOL and Glimpse itself appears to have
> > been abandoned, I fear the logical conclusion would be removing it. 
> > Feel free to use time-machine or move it to Guix Past, though.
> 
> It's unfortunate that the Glimpse project didn't succeed, but I agree:
> let's remove it from Guix.

Done with commit 4c123214669a9c54173cd89e0f86b603b23d93ea

Subject: Glimpse build fails on Guix System
From: Elias Kueny <[email-masked]>
To: [email-masked]
Date: Sun, 01 Jan 2023 17:50:22 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I'm using Guix System and on Guix commit 8f93a1e01a879ae026678dd92c18e2a2a49be540.
Building Glimpse fails during the configuration phase. Attached is the relevant part of the build log. It seems it is missing the python2 dependencies.